.\"	$NetBSD: apmlabel.8,v 1.2 2007/05/19 14:23:25 wiz Exp $
.\"
.\" Copyright (C) 1998 Wolfgang Solfrank.
.\" Copyright (C) 1998 TooLs GmbH.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by TooLs GmbH.
.\" 4. The name of TooLs GmbH may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY TOOLS GMBH ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL TOOLS GMBH BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
.\" SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
.\" PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
.\" OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
.\" WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
.\" OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
.\" ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd May 19, 2007
.Dt APMLABEL 8
.Os
.Sh NAME
.Nm apmlabel
.Nd update disk label from Apple Partition Map
.Sh SYNOPSIS
.Nm
.Op Fl fqrw
.Ar device
.Sh DESCRIPTION
.Nm
is used to update a
.Nx
disk label from the Apple Partition Map found
on disks that were previously used on Mac OS systems (or
other APM using systems).
.Pp
.Nm
scans the APM contained in the first blocks of the disk and generates
additional partition entries for the disk from the entries found.
Driver and patches partitions are ignored.
.Pp
Each APM entry which does not have an equivalent partition in the
disk label (equivalent in having the same size and offset) is added to
the first free partition slot in the disk label.
A free partition slot is defined as one with an
.Dv fstype
of
.Sq Li unused
and a
.Dv size
of zero
.Pq Sq 0 .
If there are not enough free slots in the disk label, a warning
will be issued.
.Pp
The raw partition (typically partition
.Em c ,
but
.Em d
on i386 and some other platforms) is left alone during this process.
.Pp
By default, the proposed changed disk label will be displayed and no
disk label update will occur.
.Pp
Available options:
.Pp
.Bl -tag -width sX
.It Fl f
Force an update, even if there has been no change.
.It Fl q
Performs operations in a quiet fashion.
.It Fl r
In conjunction with
.Fl w ,
also update the on-disk label.
.It Fl w
Update the in-core label if it has been changed.
.El
.Sh SEE ALSO
.Xr disklabel 8 ,
.Xr dkctl 8 ,
.Xr pdisk 8
.Sh HISTORY
The
.Nm
command appeared in
.Nx 5.0 .
